{ lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    imports = [ ./fonts.nix ]
        ++ lib.optionals settings.fish [ ./fish.nix ]
        ++ lib.optionals settings.printing.enable [ ./printing.nix ]
        ++ lib.optionals settings.xdg.enable [ ./xdg.nix ]
        ++ lib.optionals settings.java [ ./java.nix ]
        ++ lib.optionals settings.dotnet [ ./dotnet.nix ]
        ++ lib.optionals settings.plasma5.enable [ ./plasma5.nix ];
}
