{ pkgs, lib, config, ... }:
let
    settings = import ./../settings.nix;
in
{
    programs.fish.enable = true;

    environment.systemPackages = (with pkgs; [
        fishPlugins.done    # notifications for background process finished
        fishPlugins.fzf-fish
        fishPlugins.forgit
        fzf
        fishPlugins.grc
        grc
        fishPlugins.tide    # asynchronous prompt for fish shell
        fishPlugins.autopair
    ]);
}
