{ pkgs, lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    hardware.bluetooth.enable = settings.hardware.bluetooth;

    # for rotation sensors
    hardware.sensor.iio.enable = settings.hardware.iio;
    # screen and keybord backlight
    hardware.acpilight.enable = settings.hardware.acpilight;
}
