{ lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    imports = [
        ./grub.nix
        ./kernel.nix
        ./networking.nix
    ] ++ lib.optionals settings.sound.pipewire.enable [ ./pipewire.nix ]
    ++ lib.optionals settings.sound.pulseaudio.enable [ ./pulseaudio.nix ];
}
