{ pkgs, lib, config, ... }:
let
    settings = import ./../settings.nix;
in
{
    config = lib.mkMerge [
        # Arduino IDE 1.x
        (lib.mkIf (!settings.dev.arduino.ide2) {
            environment.systemPackages = (with pkgs; [
                arduino
            ]);
        })

        # Arduino IDE 2.x
        (lib.mkIf settings.dev.arduino.ide2 {
            environment.systemPackages = (with pkgs; [
                arduino-ide
            ]);
        })
    ];
}
