{ pkgs, config, ... }:
let
    settings = import ./../settings.nix;
in
{
    # enable rootless docker for more security
    virtualisation.docker.rootless = {
        enable = true;
        setSocketVariable = true;
    };
    # regulary clean unused docker images
    virtualisation.docker.autoPrune.enable = settings.virtualisation.docker-rootless.autoPrune;
}
