{ pkgs, lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    # various language server used by IDEs and by Neovim lsp-config
    environment.systemPackages = with pkgs;
        lib.optionals settings.dev.lsp.shellcheck [ shellcheck ]
        ++ lib.optionals settings.dev.lsp.luals [ lua-language-server ]
        ++ lib.optionals settings.dev.lsp.pyright[ pyright ]
        ++ lib.optionals settings.dev.lsp.arduino [ arduino-language-server ]
        ++ lib.optionals settings.dev.lsp.clangd [ clang ];
}
