{ pkgs, config, ... }:
let
    settings = import ./../settings.nix;
in
{
    # KVM
    virtualisation.libvirtd.enable = true;
    programs.virt-manager.enable = settings.virtualisation.qemu.virt-manager;  # after 23.11

    # only before 23.11
    # environment.systemPackages = (with pkgs; [
    #    virt-manager
    # ]);
}
